### Method

# GObject ParamSpec ref_sink

since: 2.10

#### Declaration

    GParamSpec*
    g_param_spec_ref_sink (
      GParamSpec* pspec
    )

#### Description

Convenience function to ref and sink a `GParamSpec`.

Available since: 2.10

This method is not directly available to language bindings.

#### Return value

Type: `GParamSpec`

The `GParamSpec` that was passed into this function.

The caller of the method takes ownership of the data, and is responsible for freeing it.